> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Video

> Download Video



## OpenAPI

````yaml /api-reference/openapi.json get /api/download/video
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/download/video:
    get:
      tags:
        - Download
      summary: Download Video
      description: Download Video
      operationId: getApiDownloadVideo
      parameters:
        - in: query
          name: url
          schema:
            type: string
            format: uri
            description: >-
              Video URL. For example:
              https://www.tiktok.com/@taylorswift/video/7558098574555254046
            example: https://www.tiktok.com/@taylorswift/video/7558098574555254046
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  play:
                    type: string
                    description: Download Video URL (without watermark)
                    example: >-
                      https://v16-coin.tiktokcdn.com/d2751cc018586a1b2e949b9be2b95588/69246660/video/tos/maliva/tos-maliva-ve-0068c799-us/oIBCEAlvdiDkwVjVcPaCP6sCTOEQBi4IlyRBA/?a=0&bti=OUBzOTg7QGo6OjZAL3AjLTAzYCMxNDNg&ch=0&cr=13&dr=0&er=0&lr=all&net=0&cd=0%7C0%7C0%7C&cv=1&br=2300&bt=1150&cs=0&ds=6&ft=-gnpiFvYwQQIUxtdKSNl7Er5SfqmaKPXtq_o36xyqF_4&mime_type=video_mp4&qs=0&rc=aDNpOzlkZWk0NTk0ODU8NEBpajdkM3Q5cjh2NjMzaTczNEAzLzRiMGBjX2MxMzEuMl8xYSMtX3JwMmQ0MmVhLS1kMTJzcw%3D%3D&vvpl=1&l=2025112416060770716282059C6E05C0BB&btag=e000b8000
                  play_watermark:
                    type: string
                    description: Download Video URL (with watermark)
                    example: >-
                      https://v16-coin.tiktokcdn.com/0f18254968e15ff0eaa1f01b5d39ec90/69246660/video/tos/maliva/tos-maliva-ve-0068c799-us/oYH4VQUIDlsK8BhIAEfXAegxLFwHEoEEl1CRkH/?a=0&bti=OUBzOTg7QGo6OjZAL3AjLTAzYCMxNDNg&ch=0&cr=13&dr=0&er=0&lr=all&net=0&cd=0%7C0%7C0%7C&cv=1&br=2352&bt=1176&cs=0&ds=3&ft=-gnpiFvYwQQIUxtdKSNl7Er5SfqmaKPXtq_o36xyqF_4&mime_type=video_mp4&qs=0&rc=Ojk4M2k0Ozo5ZDg2ZjdkZEBpajdkM3Q5cjh2NjMzaTczNEBjL2I2MTAuNV8xYi8xLS5gYSMtX3JwMmQ0MmVhLS1kMTJzcw%3D%3D&vvpl=1&l=2025112416060770716282059C6E05C0BB&btag=e000b8000
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````